from openerp import api, fields, models

# extend deliver.carrier with shipcloud
class SMCShippingShipcloud(models.Model):
    _inherit = 'delivery.carrier'
    delivery_type = fields.Selection(selection_add=[('sc', 'shipcloud')])


# extend stock.picking with fields related to shipcloud
class SMCStockPickingShipclodu(models.Model):
    _inherit = 'stock.picking'
    sc_shipment_id = fields.Char(string='shipcloud shipment ID')
    sc_tracking_url = fields.Char(string='shipcloud tracking URL')
